package com.goldenwater.slaj.eme.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eme.mapper.BusiConplanBasicMapper;
import com.goldenwater.slaj.eme.domain.BusiConplanBasic;
import com.goldenwater.slaj.eme.service.IBusiConplanBasicService;

/**
 * 应急预案基本信息 服务层实现
 */
@Service
public class BusiConplanBasicServiceImpl implements IBusiConplanBasicService {

    @Autowired
    private BusiConplanBasicMapper busiConplanBasicMapper;

    @Override
    public BusiConplanBasic selectBusiConplanBasicByGuid(String guid) {
        return busiConplanBasicMapper.selectBusiConplanBasicByGuid(guid);
    }

    @Override
    public List<BusiConplanBasic> selectBusiConplanBasicList(BusiConplanBasic busiConplanBasic) {
        return busiConplanBasicMapper.selectBusiConplanBasicList(busiConplanBasic);
    }

    @Override
    public int insertBusiConplanBasic(BusiConplanBasic busiConplanBasic) {
        return busiConplanBasicMapper.insertBusiConplanBasic(busiConplanBasic);
    }

    @Override
    public int updateBusiConplanBasic(BusiConplanBasic busiConplanBasic) {
        return busiConplanBasicMapper.updateBusiConplanBasic(busiConplanBasic);
    }

    @Override
    public int deleteBusiConplanBasicByGuid(String guid) {
        return busiConplanBasicMapper.deleteBusiConplanBasicByGuid(guid);
    }

    @Override
    public int deleteBusiConplanBasicByGuids(String[] guids) {
        return busiConplanBasicMapper.deleteBusiConplanBasicByGuids(guids);
    }
}
